LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
KCharacterType.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::i18n
| Interface for internationalization.

## Constant Groups
constants | com::sun::star::i18n::KCharacterType
| Constants to identify the character type.

## Variables
const long | DIGIT = 0x00000001
| digit
const long | UPPER = 0x00000002
| upper case alpha letter
const long | LOWER = 0x00000004
| lower case alpha letter
const long | TITLE_CASE = 0x00000008
| title case alpha letter
const long | ALPHA = 0x0000000E
| any alpha, ALPHA = UPPER | LOWER | TITLE_CASE
const long | CONTROL = 0x00000010
| control character
const long | PRINTABLE = 0x00000020
| printable character
const long | BASE_FORM = 0x00000040
| base form
const long | LETTER = 0x00000080
| any UnicodeType::..._LETTER.